Bug 3292 - Can't build any libid3tag dependent software
: Can't build any libid3tag dependent software
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libid3tag)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-11-20 13:02 by
Modified: 2007-01-27 04:38 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-11-20 13:02:12
/usr/lib/gcc-lib/i586-alt-linux/3.2.3/../../../libid3tag.so: undefined reference
to `id3_frametype_unknown'                
/usr/lib/gcc-lib/i586-alt-linux/3.2.3/../../../libid3tag.so: undefined reference
to `id3_frametype_text'                   
/usr/lib/gcc-lib/i586-alt-linux/3.2.3/../../../libid3tag.so: undefined reference
to `id3_frametype_lookup'                 
/usr/lib/gcc-lib/i586-alt-linux/3.2.3/../../../libid3tag.so: undefined reference
to `id3_frametype_experimental'           
/usr/lib/gcc-lib/i586-alt-linux/3.2.3/../../../libid3tag.so: undefined reference
to `id3_frametype_url'                    
/usr/lib/gcc-lib/i586-alt-linux/3.2.3/../../../libid3tag.so: undefined reference
to `id3_compat_lookup'                    
/usr/lib/gcc-lib/i586-alt-linux/3.2.3/../../../libid3tag.so: undefined reference
to `id3_frametype_obsolete'               
/usr/lib/gcc-lib/i586-alt-linux/3.2.3/../../../libid3tag.so: undefined reference
to `id3_compat_fixup'
------- Comment #1 From 2003-11-29 10:07:39 -------
fixed
------- Comment #2 From 2004-06-17 15:54:28 -------
Проблема вновь всплыла в libid3tag-0.15.1b-alt3 (в 0.15.1b-alt2 было
нормально).
 Уже собранные программы тоже не запускаются:

$ ldd -r `which mpg321`                    
        libid3tag.so.0 => /usr/lib/libid3tag.so.0 (0x00120000)
        libmad.so.0 => /usr/lib/libmad.so.0 (0x0012e000)
        libz.so.1 => /lib/libz.so.1 (0x00145000)
        libao.so.2 => /usr/lib/libao.so.2 (0x00156000)
        libdl.so.2 => /lib/libdl.so.2 (0x0015a000)
        libc.so.6 => /lib/libc.so.6 (0x0015e000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x0026b000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000)
undefined symbol: id3_frametype_unknown (/usr/lib/libid3tag.so.0)
undefined symbol: id3_frametype_text    (/usr/lib/libid3tag.so.0)
undefined symbol: id3_frametype_experimental    (/usr/lib/libid3tag.so.0)
undefined symbol: id3_frametype_url     (/usr/lib/libid3tag.so.0)
undefined symbol: id3_frametype_obsolete        (/usr/lib/libid3tag.so.0)
undefined symbol: id3_frametype_lookup  (/usr/lib/libid3tag.so.0)
undefined symbol: id3_compat_lookup     (/usr/lib/libid3tag.so.0)
undefined symbol: id3_compat_fixup      (/usr/lib/libid3tag.so.0)
------- Comment #3 From 2004-06-17 16:04:41 -------
 # Automatically added by buildreq on Thu Mar 04 2004
-BuildRequires: gcc-c++ gperf hostinfo libstdc++-devel zlib-devel
+BuildRequires: gcc-c++ libstdc++-devel zlib-devel

Сборка там сделана криво, и при отсутствии gperf молча собирается пустой файл .c.
------- Comment #4 From 2004-06-26 15:01:28 -------
Fixed again